## ros-indigo-moveit-ros-manipulation 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_manipulation)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  moveit_ros_move_group
  dynamic_reconfigure
  roscpp
  rosconsole
  tf
  pluginlib
  actionlib
  cmake_modules
)
find_package(Eigen REQUIRED)
find_package(Boost REQUIRED thread system filesystem date_time program_options)

generate_dynamic_reconfigure_options("pick_place/cfg/PickPlaceDynamicReconfigure.cfg")

catkin_package(
  INCLUDE_DIRS
    pick_place/include
    move_group_pick_place_capability/include
  LIBRARIES
    moveit_pick_place_planner
  CATKIN_DEPENDS
    moveit_core
    moveit_ros_planning
    )

include_directories(pick_place/include)
include_directories(move_group_pick_place_capability/include)

include_directories(${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS})
include_directories(SYSTEM
                    ${EIGEN_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(pick_place)
add_subdirectory(move_group_pick_place_capability)

install(FILES
  pick_place_capability_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== move_group_pick_place_capability/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_move_group_pick_place_capability)

include_directories(src)

add_library(${MOVEIT_LIB_NAME}
  src/pick_place_action_capability.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)

target_link_libraries(${MOVEIT_LIB_NAME} moveit_pick_place_planner ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/ DESTINATION include)

=== pick_place/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_pick_place_planner)

add_library(${MOVEIT_LIB_NAME}
  src/pick_place_params.cpp
  src/manipulation_pipeline.cpp
  src/reachable_valid_pose_filter.cpp
  src/approach_and_translate_stage.cpp
  src/plan_stage.cpp
  src/pick_place.cpp
  src/pick.cpp
  src/place.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
ros-indigo-moveit-ros-manipulation (0.7.14-1trusty) trusty; urgency=high

  * [fix] race conditions when updating PlanningScene #350 <https://github.com/ros-planning/moveit/issues/350>
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.13-1trusty) trusty; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.9-1trusty) trusty; urgency=high

  * [fix][moveit_ros_manipulation] Set planning frame correctly in evaluation of reachable and valid pose filter (#476 <https://github.com/ros-planning/moveit/issues/476>)
  * Contributors: Yannick Jonetzko

 -- Ioan Sucan <isucan@gmail.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov

 -- Ioan Sucan <isucan@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.7-1trusty) trusty; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.1-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@gmail.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@gmail.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.6.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sat, 20 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.6.3-1trusty) trusty; urgency=high

  * trivial fixes for warnings
  * use named logging for manipulation components
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@gmail.com>  Wed, 03 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.6.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.6.1-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.6.0-1trusty) trusty; urgency=high

  * Fix bug in place-planning where attached object was not considered in plan.
  * Contributors: Dave Hershberger, Sachin Chitta

 -- Ioan Sucan <isucan@gmail.com>  Mon, 27 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.19-1trusty) trusty; urgency=high

  * fixes #461 <https://github.com/ros-planning/moveit_ros/issues/461> and a potential segfault
  * Now check if there is a time for the gripper trajectory.
    If there is a time, use that one on the gripper trajectory, if not, keep
    with the previous strategy of using a default time.
  * Contributors: Michael Ferguson, Sammy Pfeiffer

 -- Ioan Sucan <isucan@gmail.com>  Mon, 23 Jun 2014 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.18-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 23 Mar 2014 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.17-1trusty) trusty; urgency=high

  * update build system for ROS indigo
  * fix merge
  * refactor how we use params for pick&place
  * set the pose frame so we don't get a crash in approach&translate
  * Contributors: Ioan Sucan

 -- Ioan Sucan <isucan@gmail.com>  Sat, 22 Mar 2014 07:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.16-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Thu, 27 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.14-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.13-1trusty) trusty; urgency=high

  * ApproachAndTranslateStage dynamic reconfigure bug fixed.
    The bug shows up in test code, where it becomes apparent that creating a ros::NodeHandle
    in a static initializer makes it very difficult to call ros::init() before creating
    the first NodeHandle.
  * Contributors: Dave Hershberger

 -- Ioan Sucan <isucan@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Fri, 03 Jan 2014 08:00:00 -0000

ros-indigo-moveit-ros-manipulation (0.5.11-1trusty) trusty; urgency=high

  * Fixed internal comment.


=== debian/control ===
Source: ros-indigo-moveit-ros-manipulation
Section: misc
Priority: extra
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-household-objects-database-msgs, ros-indigo-manipulation-msgs, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-manipulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-dynamic-reconfigure, ros-indigo-household-objects-database-msgs, ros-indigo-manipulation-msgs, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-tf
Description: Components of MoveIt used for manipulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-ros-manipulation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
